package cn.com.countrygarden.bi.main.service.investment;

import java.util.List;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.investment.InvestProjectAppVO;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.sys.Function;
import cn.com.countrygarden.bi.main.model.investment.InvestProjectAccount;
import cn.com.countrygarden.bi.main.model.investment.InvestProjectInvestment;
import cn.com.countrygarden.bi.main.model.investment.InvestRegionInvestment;
import cn.com.countrygarden.bi.main.model.investment.InvestRegionTotal;
import tk.mybatis.mapper.entity.Condition;
import tk.mybatis.mapper.entity.Example;
/**
 * 个人区域投资-业务逻辑层
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-08-20
 */
public interface InvestRegionInvestmentService {
	Result validateBIP(InvestRegionInvestment investRegionInvestment);



    Result queryById(Integer id);

    Result add(InvestRegionInvestment investRegionInvestment, String followCapitalAccountStr, AccessToken accessToken);
    Result edit(InvestRegionInvestment investRegionInvestment, List<InvestProjectAccount> investProjectAccountList, AccessToken accessToken);

   
    Result del(Integer id);
    Result  findApp(String bipUserAccount);

	Result queryPageList(InvestRegionInvestment investRegionInvestment, AccessToken accessToken);

	Result findRegionInvestmentInfo(InvestProjectInvestment investProjectInvestment);



	Result findInvestmentAppInfo(Integer id);
	
	
}